unit unitMain;

interface

uses
  WinTypes, WinProcs, Messages, Graphics, SysUtils, Classes, Controls, Forms, Dialogs,
  Menus, ExtCtrls, coolmenu, StdCtrls, Buttons;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    More1: TMenuItem;
    Computer1: TMenuItem;
    CDRom1: TMenuItem;
    Mouse1: TMenuItem;
    Andsoon1: TMenuItem;
    Wallpaper1: TMenuItem;
    Items1: TMenuItem;
    HereisMetafile1: TMenuItem;
    HereisIcon1: TMenuItem;
    HereisBitmap1: TMenuItem;
    Havefun1: TMenuItem;
    N1: TMenuItem;
    Onemore1: TMenuItem;
    Andmore1: TMenuItem;
    N2: TMenuItem;
    Morefun1: TMenuItem;
    Item11: TMenuItem;
    Item21: TMenuItem;
    Item31: TMenuItem;
    Item41: TMenuItem;
    Item51: TMenuItem;
    N3: TMenuItem;
    Isitlionfemaleorpuma1: TMenuItem;
    Emailmeifknow1: TMenuItem;
    CoolMenu1: TCoolMenu;
    CoolMenuItem1: TCoolMenuItem;
    CoolMenuItem2: TCoolMenuItem;
    CoolMenuItem3: TCoolMenuItem;
    CoolMenuItem4: TCoolMenuItem;
    CoolMenuItem5: TCoolMenuItem;
    CoolMenuItem6: TCoolMenuItem;
    CoolMenuItem7: TCoolMenuItem;
    CoolMenuItem8: TCoolMenuItem;
    CoolMenuItem9: TCoolMenuItem;
    CoolMenuItem10: TCoolMenuItem;
    CoolMenuItem11: TCoolMenuItem;
    CoolMenuItem12: TCoolMenuItem;
    CoolMenuItem13: TCoolMenuItem;
    CoolMenuItem14: TCoolMenuItem;
    CoolMenuItem15: TCoolMenuItem;
    CoolMenuItem16: TCoolMenuItem;
    CoolMenuItem17: TCoolMenuItem;
    CoolMenuItem18: TCoolMenuItem;
    CoolMenuItem19: TCoolMenuItem;
    CoolMenuItem20: TCoolMenuItem;
    CoolMenuItem21: TCoolMenuItem;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    procedure FormDestroy(Sender: TObject);
    procedure More1Click(Sender: TObject);
    procedure Morefun1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    B1, B2: TBitmap;
    AFonts: array[0..1] of TFont;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}


procedure TForm1.FormDestroy(Sender: TObject);
begin
  B1.Free;
  B2.Free;
  AFonts[0].Free;
  AFonts[1].Free;
end;

procedure TForm1.More1Click(Sender: TObject);
begin
  if Assigned(b1) then
    CoolMenu1.Wallpaper.Assign(b1);
end;

procedure TForm1.Morefun1Click(Sender: TObject);
begin
  if Assigned(b2) then
    CoolMenu1.Wallpaper.Assign(b2);
end;


procedure TForm1.Button1Click(Sender: TObject);
begin
  CoolMenu1.Active := True;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  CoolMenu1.Active := False;
end;


procedure TForm1.Button3Click(Sender: TObject);
var
  Data: TCoolBarCaptionData;
begin
  with CoolMenu1.CoolMenuBar do
  begin
    Active := False;
    Clear;

   {Do not forget that should be passed font!}
    Data.Font := AFonts[0];
    Data.Caption := 'COOL ';
    AddItem(Data);

    Data.Font := AFonts[1];
    Data.Caption := 'Menus!';
    AddItem(Data);

    BackFrom := clNavy;
    IsGradient := False;
    BarAlign := alRight;
    Active := True;
  end;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  CoolMenu1.CoolMenuBar.Active := False;
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  B1 := TBitmap.Create;
  B2 := TBitmap.Create;

  if FileExists('setup.bmp') then
    B1.LoadFromFile(ExtractFilePath(ParamStr(0)) + 'setup.bmp')
  else
    raise Exception.Create('File ''setup.bmp'' is not found');
  if FileExists('lion.bmp') then
    B2.LoadFromFile(ExtractFilePath(ParamStr(0)) + 'lion.bmp')
  else
    raise Exception.Create('File ''lion.bmp'' is not found');
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  AFonts[0] := TFont.Create;
  AFonts[0].Name := 'Arial';
  AFonts[0].Size := 12;
  AFonts[0].Style := [fsBold];
  AFonts[0].Color := clFuchsia;

  AFonts[1] := TFont.Create;
  AFonts[1].Name := 'Courier New';
  AFonts[1].Size := 12;
  AFonts[1].Style := [fsItalic];
  AFonts[1].Color := clYellow;
end;

end.


